Get Incentives
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/incentive_programsimport requests
url = "https://external-api.kalshi.com/trade-api/v2/incentive_programs"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://external-api.kalshi.com/trade-api/v2/incentive_programs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"incentive_programs": [
{
"id": "<string>",
"market_id": "<string>",
"market_ticker": "<string>",
"incentive_type": "liquidity",
"incentive_description": "<string>",
"start_date": "2023-11-07T05:31:56Z",
"end_date": "2023-11-07T05:31:56Z",
"period_reward": 123,
"paid_out": true,
"discount_factor_bps": 123,
"target_size_fp": "10.00",
"max_reward_per_account": 123
}
],
"next_cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}incentive-programs
Get Incentives
List incentives with optional filters. Incentives are rewards programs for trading activity on specific markets.
GET
/
incentive_programs
Get Incentives
Query Parameters
Status filter. Can be "all", "active", "upcoming", "closed", or "paid_out". Default is "all".
Available options:
all, active, upcoming, closed, paid_out Type filter. Can be "all", "liquidity", "volume", "margin_maker_volume", or "margin_taker_volume". Default is "all".
Available options:
all, liquidity, volume, margin_maker_volume, margin_taker_volume Filter by exact incentive description.
Number of results per page. Defaults to 100. Maximum value is 10000.
Required range:
1 <= x <= 10000Cursor for pagination